<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/cabecalho.php"; //carrega arquivo de cabeçalho
include "includes/pg_begin.php";     //carrega arquivo de conexão
?>

<?
//recupera dados do formulario
$sc_tema          = trim(pg_escape_string($_POST['form_tema']));
$sc_termo     = trim(pg_escape_string($_POST['form_termo']));

// seleciona os termos

// comando básico
$sql="
	select *
	from
		termo TT,
		termoindicador TI, indicador I,
		tema T,
		granularidade G, termogranularidade TG, 
		periodicidade P, termoperiodicidade TP
	where TT.codigotermo = TI.codigotermo
	and TI.codigoindicador = I.codigoindicador
	and I.codigotema = T.codigotema
	and TT.codigotermo = TG.codigotermo
	and TG.codigogranularidade = G.codigogranularidade
	and TT.codigotermo = TP.codigotermo
	and TP.codigoperiodicidade = P.codigoperiodicidade";

// filtro por tema
if ($sc_tema != '*') {
	$sql .= " and I.codigotema = " . $sc_tema;
}

// filtro por termo
if ($sc_termo != '*') {
	$sql .= " and TT.codigotermo = '" . $sc_termo . "'";
}


// finalização do comando
$sql .= " order by TT.codigotermo, G.codigogranularidade, P.codigoperiodicidade";

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

// se retornou apenas um termo, marca como default
$num_rows = pg_num_rows($result);
$checked = '';
if ($num_rows == 1) {
	$checked = ' checked="checked" ';
}

// se não retornou nada é erro!
if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <? include "includes/barra_superior.php"; //carrega a barra superior da página ?>

  <tr>
    <td>
	  <form name="formulario" action="termosAtualizacao.php" onSubmit="return submitFormulario()" method="POST">
      <table width="800" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="tituloFundo">Escolha um termo</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		  <br />
<?
// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
echo '<input type="hidden" name="form_tema_busca"  value="' . $sc_tema  .'">' . "\n";
echo '<input type="hidden" name="form_termo_busca" value="' . $sc_termo .'">' . "\n";

// recupera as tuplas selecionadas
while ($nt=pg_fetch_array($result))
{
	//atribui valor a variaveis locais para db
	$db_codigotermo         = trim(pg_escape_string($nt['codigotermo']));
	$db_nometermo           = trim(pg_escape_string($nt['nometermo']));
	$db_nometema            = trim(pg_escape_string($nt['nometema']));
	$db_codigogranularidade = trim(pg_escape_string($nt['codigogranularidade']));
	$db_nomegranularidade   = trim(pg_escape_string($nt['nomegranularidade']));
	$db_codigoperiodicidade = trim(pg_escape_string($nt['codigoperiodicidade']));
	$db_nomeperiodicidade   = trim(pg_escape_string($nt['nomeperiodicidade']));


	$aux_codigocomposto = $db_codigotermo . ';' . $db_codigogranularidade . ';' . $db_codigoperiodicidade;
	if ($db_codigogranularidade == 1) {
	$aux_preposicao = 'do'; // município
	} else {
	$aux_preposicao = 'por';
	}

//	echo '<input type="radio" name="form_termo" value ="' . $aux_codigocomposto . '"> ';
//	echo $db_nometema . ' - ' . $db_nomeindicador . ', ' . $aux_preposicao . ' '. $db_nomegranularidade;
//	echo ' (' . $db_codigoindicador . ')';
//	echo '<br />' . "\n";

	echo '<input type="radio" name="form_termo" value ="' . $aux_codigocomposto . '"' . $checked . '> ';
	echo $db_codigotermo . ' - ' . $db_nometermo;
	echo ', ' . $db_nomeperiodicidade;
	echo ', ' . $aux_preposicao . ' '. $db_nomegranularidade;
	echo '<br />' . "\n";
}
?>

		  </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
            <div align="center">
				<input name="submitBtn" type="submit" class="botao" tabindex="4" value="enviar">
                &nbsp;
				<input name="resetBtn" type="reset" class="botao" tabindex="5" value="limpar">
				</form>
                <br />
                <br />
				<form action="termosMain.php">
				<input name="submitBtn" type="submit" class="botao"	value="<< voltar">
            </div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>

<? include "includes/rodape.php"; ?>
